=== src/demuxers/CMakeLists.txt ===
set(SOURCES
  ADTSReader.cpp
  TSReader.cpp
  WebmReader.cpp
)

set(HEADERS
  ADTSReader.h
  TSReader.h
  WebmReader.h
)

add_dir_sources(SOURCES HEADERS)
