=== src/parser/CMakeLists.txt ===
set(SOURCES
  CodecParser.cpp
  DASHTree.cpp
  HLSTree.cpp
  SmoothTree.cpp
  PRProtectionParser.cpp
)

set(HEADERS
  CodecParser.h
  DASHTree.h
  HLSTree.h
  SmoothTree.h
  PRProtectionParser.h
)

add_dir_sources(SOURCES HEADERS)
