=== src/decrypters/clearkey/CMakeLists.txt ===
set(SOURCES
  ClearKeyCencSingleSampleDecrypter.cpp
  ClearKeyDecrypter.cpp
)

set(HEADERS
  ClearKeyCencSingleSampleDecrypter.h
  ClearKeyDecrypter.h
)

add_dir_sources(SOURCES HEADERS)
