=== debian/changelog ===
kodi-inputstream-adaptive (21.5.16+ds-1) unstable; urgency=high

  * New upstream version 21.5.16+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 10 Oct 2025 06:39:56 +0000

kodi-inputstream-adaptive (21.5.9+ds-1.1) unstable; urgency=medium

  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1097072)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Sep 2025 21:30:56 +0300
