=== debian/control ===
Source: kodi-inputstream-adaptive
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
 cmake,
 libexpat1-dev,
 libgtest-dev (>= 1.10.0~),
 libpugixml-dev,
 libwebm-dev,
 rapidjson-dev,
 pkg-config
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-inputstream-adaptive.git -b debian/sid
Homepage: https://kodi.tv/

Package: kodi-inputstream-adaptive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:INPUTSTREAMAPI}
Description: Adaptive inputstream addon for Kodi
 This package allows playing HLS/DASH/smoothstream streams in Kodi.
 .
 It is part of the official kodi repository.
 .
 Its primary use is to play DRM-protected with decryptors supplied
 by other addons (like Netflix or other paid video services).
